%define pkg_name        Algorithm-Huffman
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 5.n0i.3


Summary:       Huffman algorithm implementation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BI/BIGJ/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Data::Dumper)}
%{!?_without_test:BuildRequires: perl(Heap)}
%{!?_without_test:BuildRequires: perl(Heap::Elem)}
%{!?_without_test:BuildRequires: perl(Heap::Fibonacci)}
%{!?_without_test:BuildRequires: perl(List::Util)}
%{!?_without_test:BuildRequires: perl(String::Random)}
%{!?_without_test:BuildRequires: perl(Test::Exception)}
%{!?_without_test:BuildRequires: perl(Test::ManyParams) >= 0.04}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Tree::DAG_Node)}

%global perl_filter_prov 'KeyValuePair'

%description
This modules implements the huffman algorithm. The aim is to create a good
coding scheme for a given list of different characters (or even strings) and
their occurence numbers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# tests WILL fail (they're too old)
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.09-5.n0i.3
- mass rebuild

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.09-4.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.09-3.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
